# Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager Class Reference

Manages shared resources of dialogs. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager:

[legend]

List of all members.

## Public Member Functions
FontNode | GetFontNode (int index)
| Gets a font node from the cache.
TextureNode | GetTextureNode (int index)
| Gets a texture node from the cache.
int | AddFont (string faceName, uint height, FontWeight weight)
| Adds a font to the resource manager.
int | AddTexture (string filename)
| Adds a texture to the resource manager.
void | CreateFont (int font)
| Creates a font.
void | CreateTexture (int tex)
| Creates a texture.
void | OnCreateDevice (Device d)
| Called when the device is created.
void | OnResetDevice (Device device)
| Called when the device is reset.
void | OnLostDevice ()
| Clear any resources that need to be lost.
void | OnDestroyDevice ()
| Destroy any resources and clear the caches.
FontNode | GetFontNode (int index)
| Gets a font node from the cache.
TextureNode | GetTextureNode (int index)
| Gets a texture node from the cache.
int | AddFont (string faceName, uint height, FontWeight weight)
| Adds a font to the resource manager.
int | AddTexture (string filename)
| Adds a texture to the resource manager.
void | CreateFont (int font)
| Creates a font.
void | CreateTexture (int tex)
| Creates a texture.
void | OnCreateDevice (Device d)
| Called when the device is created.
void | OnResetDevice (Device device)
| Called when the device is reset.
void | OnLostDevice ()
| Clear any resources that need to be lost.
void | OnDestroyDevice ()
| Destroy any resources and clear the caches.
FontNode | GetFontNode (int index)
| Gets a font node from the cache.
TextureNode | GetTextureNode (int index)
| Gets a texture node from the cache.
int | AddFont (string faceName, uint height, FontWeight weight)
| Adds a font to the resource manager.
int | AddTexture (string filename)
| Adds a texture to the resource manager.
void | CreateFont (int font)
| Creates a font.
void | CreateTexture (int tex)
| Creates a texture.
void | OnCreateDevice (Device d)
| Called when the device is created.
void | OnResetDevice (Device device)
| Called when the device is reset.
void | OnLostDevice ()
| Clear any resources that need to be lost.
void | OnDestroyDevice ()
| Destroy any resources and clear the caches.
## Static Public Member Functions
static DialogResourceManager | GetGlobalInstance ()
static DialogResourceManager | GetGlobalInstance ()
static DialogResourceManager | GetGlobalInstance ()
## Properties
StateBlock | StateBlock`[get]`
Sprite | Sprite`[get]`
Device | Device`[get]`
| Gets the device.

## Detailed Description

Manages shared resources of dialogs.

Definition at line 191 of file dxmutgui.cs.

## Member Function Documentation

int Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.AddFont | ( | string | faceName,
|  | uint | height,
|  | FontWeight | weight |
| ) |  |  |

Adds a font to the resource manager.

Definition at line 233 of file wdxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.AddFont | ( | string | faceName,
|  | uint | height,
|  | FontWeight | weight |
| ) |  |  |

Adds a font to the resource manager.

Definition at line 231 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.AddFont | ( | string | faceName,
|  | uint | height,
|  | FontWeight | weight |
| ) |  |  |

Adds a font to the resource manager.

Definition at line 231 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.AddTexture | ( | string | filename | ) |

Adds a texture to the resource manager.

Definition at line 265 of file wdxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.AddTexture | ( | string | filename | ) |

Adds a texture to the resource manager.

Definition at line 263 of file dxmutgui.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.AddTexture | ( | string | filename | ) |

Adds a texture to the resource manager.

Definition at line 263 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.CreateFont | ( | int | font | ) |

Creates a font.

Definition at line 295 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.CreateFont | ( | int | font | ) |

Creates a font.

Definition at line 293 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.CreateFont | ( | int | font | ) |

Creates a font.

Definition at line 293 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.CreateTexture | ( | int | tex | ) |

Creates a texture.

Definition at line 311 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.CreateTexture | ( | int | tex | ) |

Creates a texture.

Definition at line 309 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.CreateTexture | ( | int | tex | ) |

Creates a texture.

Definition at line 309 of file dxmutgui.cs.

FontNode Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetFontNode | ( | int | index | ) |

Gets a font node from the cache.

Definition at line 224 of file wdxmutgui.cs.

FontNode Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetFontNode | ( | int | index | ) |

Gets a font node from the cache.

Definition at line 222 of file dxmutgui.cs.

FontNode Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetFontNode | ( | int | index | ) |

Gets a font node from the cache.

Definition at line 222 of file dxmutgui.cs.

static DialogResourceManager Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 214 of file wdxmutgui.cs.

static DialogResourceManager Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 212 of file dxmutgui.cs.

static DialogResourceManager Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 212 of file dxmutgui.cs.

TextureNode Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetTextureNode | ( | int | index | ) |

Gets a texture node from the cache.

Definition at line 226 of file wdxmutgui.cs.

TextureNode Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetTextureNode | ( | int | index | ) |

Gets a texture node from the cache.

Definition at line 224 of file dxmutgui.cs.

TextureNode Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.GetTextureNode | ( | int | index | ) |

Gets a texture node from the cache.

Definition at line 224 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnCreateDevice | ( | Device | d | ) |

Called when the device is created.

Definition at line 337 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnCreateDevice | ( | Device | d | ) |

Called when the device is created.

Definition at line 336 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnCreateDevice | ( | Device | d | ) |

Called when the device is created.

Definition at line 336 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnDestroyDevice | ( |  | ) |

Destroy any resources and clear the caches.

Definition at line 390 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnDestroyDevice | ( |  | ) |

Destroy any resources and clear the caches.

Definition at line 389 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnDestroyDevice | ( |  | ) |

Destroy any resources and clear the caches.

Definition at line 389 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnLostDevice | ( |  | ) |

Clear any resources that need to be lost.

Definition at line 369 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnLostDevice | ( |  | ) |

Clear any resources that need to be lost.

Definition at line 368 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnLostDevice | ( |  | ) |

Clear any resources that need to be lost.

Definition at line 368 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnResetDevice | ( | Device | device | ) |

Called when the device is reset.

Definition at line 354 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnResetDevice | ( | Device | device | ) |

Called when the device is reset.

Definition at line 353 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.DialogResourceManager.OnResetDevice | ( | Device | device | ) |

Called when the device is reset.

Definition at line 353 of file dxmutgui.cs.

## Property Documentation

Device Microsoft::Samples::DirectX::UtilityToolkit.DialogResourceManager::Device`[get]`

Gets the device.

Definition at line 226 of file dxmutgui.cs.

Sprite Microsoft::Samples::DirectX::UtilityToolkit.DialogResourceManager::Sprite`[get]`

Definition at line 196 of file dxmutgui.cs.

StateBlock Microsoft::Samples::DirectX::UtilityToolkit.DialogResourceManager::StateBlock`[get]`

Definition at line 195 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs